Subject: bug#26984: closed (Re: bug#26984: Add loksh (ported OpenBSD pdksh))

From: [email-masked]
Date: Sat, 20 May 2017 09:19:32 +0000

[email-masked] (GNU bug Tracking System) writes:

> ng0 <[email-masked]> writes:
>
>> Subject: [PATCH] gnu: Add loksh.
>>
>> * gnu/packages/shells.scm (loksh): New variable.
>
> Thanks for this patch! I've used this shell a lot on OpenBSD. One
> thing it does better than bash is that ^W stops at "/" and other
> boundaries, not just spaces!
>
> I've applied it with a slight adjustment to description:

>> By the way, this can not be used for the test suite in graphviz.
>> There are many ksh implementations, and this is not the one
>> the tests accept. Or at least its ksh93 checks fail ;)
>
> Maybe they need "mksh"? Another popular Korn Shell :)

Maybe. It must be a ksh93 implementation, most implementations
are ksh88. I don't know enough about ksh to know if a shell
is compatible. I executed ksh and ran the lines which test for
ksh88 or ksh93. It failed.